# GCC_RegistryEntryOwner Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_owned, e_notOwned }

## Public Member Functions

| GCC_RegistryEntryOwner (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_RegistryEntryOwner_owned & ()
| operator const GCC_RegistryEntryOwner_owned & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_RegistryEntryOwner::Choices

Enumerator:

  e_owned |
  e_notOwned |

## Constructor & Destructor Documentation

GCC_RegistryEntryOwner::GCC_RegistryEntryOwner | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_RegistryEntryOwner::operator GCC_RegistryEntryOwner_owned & | ( |  | ) |

GCC_RegistryEntryOwner::operator const GCC_RegistryEntryOwner_owned & | ( |  | ) | const

PBoolean GCC_RegistryEntryOwner::CreateObject | ( |  | ) |

PObject* GCC_RegistryEntryOwner::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h